@extends('web.includes.layout')

@section('og-title', '| ' . lang('home.title'))

@section('title', '| ' . lang('home.title'))

@push('head')
<script>
    $(window).on('load',function(){
		$('.index-slider').slick({
			autoplay: true,
            arrows: false,
            adaptiveHeight: true,
			fade: true,
			dots: true
		});
        var pSwiper = new Swiper('.swiper-product', {
            slidesPerView: 1,
            slidesPerGroup: 1,
            autoHeight: true,
            loop: true,
            navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
            },
        });
        var pSwiper = new Swiper('.swiper-service', {
            slidesPerView: 3,
            spaceBetween: 20,
            autoHeight: true,
            autoplay: true,
            speed: 1000,
            breakpoints: {
                360: {
                slidesPerView: 1,
                },
                768: {
                slidesPerView: 2,
                }
            },
            slidesPerGroup: 1,
            loop: true,
        });
    })
</script>
@endpush

@section('main_id', 'index')
@section('main')

<!--banner-->
<div id="banner">
    <div class="index-slider">

    @foreach ($banner as $element)
        <a @if(!empty($element['link'])) href="{{ $element['link'] }}" @endif target="_blank">
            <img src="{{ storage_path($element['pic']) }}" alt="">
        </a>
    @endforeach

    </div>
</div>
<!---->

<section class="idx-about">
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-12">
                <h3 class="main-title">{{ lang('home.about.main-title') }}</h3>
                <p>{!! lang('home.about.p') !!}</p>
                <div class="mt-4">
                    <a href="{{ base_path(Session::get('lang').'/') }}about" class="main-btn btn btn-outline-primary">{{ lang('home.more') }}</a>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="idx-product wow fadeIn">
    <div class="container">
        <div class="row">
            <div class="col-lg-5 left-box mb-4 mb-lg-0">
                <h3 class="main-title">{{ lang('home.product-new.main-title') }}</h3>
                <p>{!! nl2br($pages['home'][1]['s_info']) !!}</p>
            </div>
            <div class="col-lg-7 right-box mb-4">
                <div class="info">
                    <div class="swiper-product swiper-setting swiper-container">
                        <div class="swiper-wrapper">

                        @foreach ($product_new as $element)
                            <div class="swiper-slide item">
                                <div class="row">
                                    <div class="col-sm-7">
                                        <h5 class="title text-primary">{{ $element['name'] }}</h5>
                                        <div class="editor">
                                            {!! nl2br($element['s_info']) !!}
                                        </div>
                                        <div class="mt-4 mb-3">
                                            <a href="{{ url(Session::get('lang').'/product', ['level_1_class_id' => $element['level_1_class_id'], 'level_2_class_id' => $element['level_2_class_id'], 'id' => $element['id']]) }}" class="main-btn btn btn-outline-primary">{{ lang('home.more') }}</a>
                                        </div>
                                    </div>
                                    <div class="col-sm-5">
                                        <div class="pic">
                                            <span><img src="{{ storage_path($element['pic']) }}" alt=""></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach

                        </div>
                    </div>
                </div>
                <!-- Add Arrows -->
                <div class="swiper-button-next"><i class="fal fa-angle-right"></i></div>
                <div class="swiper-button-prev"><i class="fal fa-angle-left"></i></div>
            </div>
        </div>
    </div>
</section>

<section class="idx-service wow fadeInUp">
    <!--業務說這是產品的一個分類，由後台勾選，連進去產品詳細頁-->
    <div class="container">
        <h3 class="main-title mb-5">{{ lang('home.product-home.main-title') }}
            <div class="pull-right">
                <a href="{{ base_path(Session::get('lang').'/') }}product" class="main-btn btn btn-outline-primary">{{ lang('home.more') }}</a>
            </div>
        </h3>

        <div class="swiper-service swiper-setting swiper-container">
            <div class="swiper-wrapper">

            @foreach ($product_home as $element)
                <div class="swiper-slide item">
                    <a href="{{ url(Session::get('lang').'/product', ['level_1_class_id' => $element['level_1_class_id'], 'level_2_class_id' => $element['level_2_class_id'], 'id' => $element['id']]) }}">
                        <div class="pic" style="background:url({{ storage_path($element['pic']) }}) center center no-repeat; background-size: cover;"></div>
                        {{-- <div class="date text-primary mt-2 mb-1">2019.01.01</div> --}}
                        <div class="title text-center mt-2">{{ $element['name'] }}</div>
                    </a>
                </div>
            @endforeach

            </div>
        </div>
    </div>
</section>

<section class="idx-company wow fadeInUp">
    <div class="container">
        <h3 class="main-title">{{ lang('home.affiliate.main-title') }}</h3>
        <div class="row">

        @foreach ($affiliate as $element)
            <div class="item col-lg-2 col-md-3 col-4 my-1 text-center">
                <a @if(!empty($element['link'])) href="{{ $element['link'] }}" @endif target="_blank">
                    <div class="pic">
                        <span><img class="m-auto" src="{{ storage_path($element['pic']) }}" alt=""></span>
                    </div>
                </a>
            </div>
        @endforeach

        </div>
    </div>
</section>

<section class="idx-news wow fadeInUp">
    <div class="container">
        <h3 class="main-title mb-5">{{ lang('home.news.main-title') }}
            <div class="pull-right">
                <a href="{{ base_path(Session::get('lang').'/') }}news" class="main-btn btn btn-outline-primary">{{ lang('home.more') }}</a>
            </div>
        </h3>
        <ul class="news-list box-2-mt">

        @foreach ($news as $element)
            <li>
                <div class="new">{{ $news_class[$element['class_id']]['name'] }}</div>
                <span class="date">{{ dateformat($element['date'], 'F d Y') }}</span>
                <div class="list-title">
                    <a href="{{ url(Session::get('lang').'/news', ['level_1_class_id' => $element['class_id'], 'id' => $element['id']]) }}">{{ $element['name'] }}</a>
                </div>
                <a href="{{ url(Session::get('lang').'/news', ['level_1_class_id' => $element['class_id'], 'id' => $element['id']]) }}"><i class="far fa-arrow-circle-right"></i></a>
            </li>
        @endforeach

        </ul>

    </div>
</section>

@endsection