@extends('web.includes.layout')

@section('og-title', '| ' . lang('product.title'))

@section('title', '| ' . lang('product.title'))

@push('head')

@endpush

@section('main_id', 'product')
@section('main')

<section>
    <div class="container">
        <h3 class="main-title">{{ lang('product.title') }}</h3>
        <div class="product-box">
            <div class="row">
                <div class="col-xl-3 col-lg-4">
                    <aside class="side-menu">
                        <div class="submenu-title">產品分類選單</div>
                        <ul class="submenu">

                        @isset ($product_class_tree[0])
                        @foreach ($product_class_tree[0] as $level_1_class)
                            <li @if($level_1_class_id == $level_1_class['id']) class="active" @endif>
                                <a href="{{ url(Session::get('lang').'/product', ['level_1_class_id' => $level_1_class['id']]) }}">{{ $level_1_class['name'] }}</a>
                                <a class="css_arrow_down fas fa-caret-down @if($level_1_class_id == $level_1_class['id'])active @endif" href="javascript:;"></a>
                                <ul class="menu_body animate">


                                @isset ($product_class_tree[$level_1_class['id']])
                                @foreach ($product_class_tree[$level_1_class['id']] as $level_2_class)
                                    <li @if($level_2_class_id == $level_2_class['id']) class="active" @endif><a href="{{ url(Session::get('lang').'/product', ['level_1_class_id' => $level_1_class['id'], 'level_2_class_id' => $level_2_class['id']]) }}">{{ $level_2_class['name'] }}</a></li>
                                @endforeach
                                @endisset

                                </ul>
                            </li>
                        @endforeach
                        @endisset

                        </ul>
                    </aside>
                </div>
                <div class="col-xl-9 col-lg-8">
                    <div class="product-list">

                    @foreach ($product as $element)
                        <div class="product-item">
                            <a href="{{ url(Session::get('lang').'/product', ['level_1_class_id' => $level_1_class_id, 'level_2_class_id' => $level_2_class_id, 'id' => $element['id']]) }}">
                                <div class="images-box pic">
                                    <span><img src="{{ storage_path($element['pic']) }}" alt=""></span>
                                </div>
                                <div class="product-title">
                                    <h4>{{ $element['name'] }}</h4>
                                </div>
                            </a>
                        </div>
                    @endforeach

                    </div>

                    <!--pagination-->
                    <nav class="pagination-container text-center">
                        <ul class="pagination">

                        @if ($product->lastPage() > 1)
                            @if ($product->currentPage() > 1)
                                {{-- <a href="{{ $product->url($product->currentPage() - 1) }}" class="pre">上一頁</a> --}}
                            @endif

                            @for ($i = 1; $i <= $product->lastPage() ; $i++)
                                @if ($i == $product->currentPage())
                                    <li class="active"><a href="javascript:;">{{ $i }}</a></li>
                                @else
                                    <li><a href="{{ $product->url($i) }}">{{ $i }}</a></li>
                                @endif
                            @endfor

                            @if ($product->currentPage() < $product->lastPage())
                                {{-- <a href="{{ $product->url($product->currentPage() + 1) }}" class="next">下一頁</a> --}}
                            @endif
                        @endif

                        </ul>
                    </nav>
                    <!---->
                </div>
            </div>
        </div>
    </div>
</section>

@endsection